<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик удаления файла "водяного знака" для магазина.
 * 
 * Файл: /admin/shop/action/delete_shop_big_image.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
// Определяем название файла картинки по id информационного элемента
//$information_system = & singleton('InformationSystem');
$shop = & singleton('shop');

$shop_shops_id = to_int($_REQUEST['item_id']);

$row = $shop->GetShop($shop_shops_id);
if ($row)
{
	if (is_dir(CMS_FOLDER . UPLOADDIR))
	{
		// Путь к "водяному знаку"
		$fname = CMS_FOLDER . UPLOADDIR . 'shop_' . $shop_shops_id . '/watermarks/' . $row['shop_watermark_file'];
		
		// Файл "водяного знака" существует
		if (is_file($fname))
		{
			// Удаляем Файл "водяного знака"
			@unlink($fname);			
		}
		
		// Удаляем файл из таблицы
		$query = "UPDATE `shop_shops_table` SET  `shop_watermark_file` = ''  WHERE shop_shops_id=$shop_shops_id";
		$DataBase->query($query);
	}
	else
	{
		show_error_message($GLOBALS['MSG_advertisement']['error_information_dir'] . CMS_FOLDER . UPLOADDIR);
	}
}
?>